﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.UI.Xaml.Grid;
using System.Windows.Interactivity;
using MultiColumnDropDownDemo_2010;

namespace MultiColumnDropDownDemo_2010
{
    public class MultiColumn : Behavior<SfMultiColumnDropDownControl>
    {
        protected override void OnAttached()
        {
            this.AssociatedObject.PreviewTextInput += AssociatedObject_PreviewTextInput;
        }

        private void AssociatedObject_PreviewTextInput(object sender, System.Windows.Input.TextCompositionEventArgs e)
        {
            var dropDown = sender as SfMultiColumnDropDownControl;
            var dataContext = dropDown.DataContext as MovieRepositoryViewModel;
            dataContext.MoviesLists.Clear();
            dataContext.MoviesLists = new NewItem();
        }

        protected override void OnDetaching()
        {
            this.AssociatedObject.PreviewTextInput -= AssociatedObject_PreviewTextInput;
        }

    }
}
